# /usr/local/etc/motion.conf
daemon on
process_id_file /var/run/motion/motion.pid
setup_mode off
#videodevice /dev/video0
v4l2_palette 8
input 8
norm 0
frequency 0
rotate 0
width 320
height 240
framerate 100
minimum_frame_time 0
netcam_url http://192.168.0.11/goform/capture/img.jpg
netcam_userpass ob:fuscate
netcam_http 1.0
auto_brightness on
brightness 0
contrast 0
saturation 0
hue 0

roundrobin_frames 1
roundrobin_skip 1
switchfilter off

threshold 1500
threshold_tune off
noise_level 32
noise_tune on
despeckle EedDl
smart_mask_speed 0
lightswitch 0
minimum_motion_frames 1
pre_capture 5
post_capture 200
gap 60
max_mpeg_time 0
output_all off

output_normal off
output_motion off
quality 75
ppm off

ffmpeg_cap_new on
ffmpeg_cap_motion off
ffmpeg_timelapse 0
ffmpeg_timelapse_mode daily
ffmpeg_bps 500000
ffmpeg_variable_bitrate 0
ffmpeg_video_codec mpeg4
ffmpeg_deinterlace off

snapshot_interval 0
locate on
text_right %Y-%m-%d\n%T-%q
text_left blahblah
text_changes off
text_event %Y%m%d%H%M%S
text_double off

target_dir /home/camera/cam1
snapshot_filename %v-%Y%m%d%H%M%S-snapshot
jpeg_filename %v-%Y%m%d%H%M%S-%q
movie_filename %Y/%m/%d/%H%M%S
timelapse_filename %Y%m%d-timelapse

webcam_port 8071
webcam_quality 50
webcam_motion on
webcam_maxrate 5
webcam_localhost off
webcam_limit 0

control_port 8070
control_localhost off
control_html_output on
control_authentication ob:fuscate

track_type 0
track_auto off
track_motorx 0
track_motory 0
track_maxx 0
track_maxy 0
track_iomojo_id 0
track_step_angle_x 10
track_step_angle_y 10
track_move_wait 10
track_speed 255
track_stepsize 40

quiet on
sql_log_image off
sql_log_snapshot off
sql_log_mpeg off
sql_log_timelapse off
sql_query insert into security(camera, filename, frame, file_type, time_stamp, event_time_stamp) values('%t', '%f', '%q', '%n', '%Y-%m-%d %T', '%C')
mysql_host localhost
